summaryrefslogtreecommitdiffstats
path: root/artsc/artsdsp.in
diff options
context:
space:
mode:
authortpearson <tpearson@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2010-01-05 00:01:18 +0000
committertpearson <tpearson@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2010-01-05 00:01:18 +0000
commit42995d7bf396933ee60c5f89c354ea89cf13df0d (patch)
treecfdcea0ac57420e7baf570bfe435e107bb842541 /artsc/artsdsp.in
downloadarts-42995d7bf396933ee60c5f89c354ea89cf13df0d.tar.gz
arts-42995d7bf396933ee60c5f89c354ea89cf13df0d.zip
Copy of aRts for Trinity modifications
git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/dependencies/arts@1070145 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'artsc/artsdsp.in')
-rwxr-xr-xartsc/artsdsp.in106
1 files changed, 106 insertions, 0 deletions
diff --git a/artsc/artsdsp.in b/artsc/artsdsp.in
new file mode 100755
index 0000000..084a716
--- /dev/null
+++ b/artsc/artsdsp.in
@@ -0,0 +1,106 @@
+#!/bin/sh
+# artsdsp - wrapper script to allow *some* binary only programs to use artsd
+# based on the esddsp script
+
+# keep this in sync with artsversion.h
+version="@ARTS_VERSION@"
+
+# default values for script variables
+verbose=0
+set_name=0
+single_thread=0
+
+# check for artsdsp options
+while test $# -gt 0; do
+
+ case "$1" in
+
+ -h|--help)
+ echo "artsdsp - attempt to reroute audio device to artsd"
+ echo " "
+ echo "artsdsp [options] application arguments"
+ echo " "
+ echo "options:"
+ echo "-h, --help show brief help"
+ echo "-n, --name=NAME use name to identify player to artsd"
+ echo "-m, --mmap emulate memory mapping (i.e. for quake)"
+ echo "-s, --single-threaded use the single-threaded version"
+ echo "-v, --verbose show parameters"
+ echo "-V, --version show version"
+ exit 0
+ ;;
+
+ -n)
+ shift
+ if test $# -gt 0; then
+ export ARTSDSP_NAME=$1
+ else
+ echo "no player name specified"
+ exit 1
+ fi
+ shift
+ set_name=1
+ ;;
+
+ --name*)
+ export ARTSDSP_NAME=`echo $1 | sed -e 's/^[^=]*=//g'`
+ set_name=1
+ shift
+ ;;
+
+ -v|--verbose)
+ verbose=1
+ shift
+ ;;
+
+ -V|--version)
+ echo "artsdsp $version"
+ exit
+ ;;
+
+ -m|--mmap)
+ export ARTSDSP_MMAP=1
+ shift
+ ;;
+
+ -s|--single-threaded)
+ single_thread=1
+ shift
+ ;;
+
+ *)
+ # no more artsdsp options, get on with life
+ break
+ ;;
+ esac
+done
+
+# echo options if verbose specified
+if test "$verbose" = 1; then
+ ARTSDSP_VERBOSE=1
+ export ARTSDSP_VERBOSE
+ echo "artsdsp: $version"
+ echo "name: $ARTSDSP_NAME"
+ echo "command line: $@"
+ if test "$single_thread" = 1; then
+ echo "threaded: no"
+ else
+ echo "threaded: yes"
+ fi
+fi
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+
+if test "$single_thread" = 1; then
+ LD_PRELOAD=${exec_prefix}/\$LIB/libartsdsp_st.so.0
+else
+ LD_PRELOAD=${exec_prefix}/\$LIB/libartsdsp.so.0:${exec_prefix}/\$LIB/libartsc.so.0
+fi
+if test -f ${exec_prefix}/\$LIB/libdl.so.2; then
+ LD_PRELOAD=$LD_PRELOAD:${exec_prefix}/\$LIB/libdl.so.2
+fi
+export LD_PRELOAD
+
+# invoke the program with the args given
+exec "$@"